/**
Singleton - Es wird gewährleistet, dass nur eine Instanz der Klasse erzeugt werden kann.
*/

public class Singleton
{
    private static Singleton instanz = null;

    private Singleton()
    {
        
    }

    public static Singleton holeInstanz()
    {
        if(instanz==null)
        {
            instanz = new Singleton();
        }

        return instanz;
    } 

    /** fiktive Anwendungsmethode */
    public void zeigeAufDisplay(String text)
    {
         //Hier einfache Ausgabe auf der Konsole
         System.out.println(text);
    }

    /** Achtung: Dass hier in der Klasse eine main-Methode ist, hat nichts zu sagen.
    Diese könnte auch ich einer anderen Klasse stehen, um die Methode Singleton.holeInstanz() zu testen.
    */
   
    public static void main(String[] args)
    {
        Singleton s = Singleton.holeInstanz();
        s.zeigeAufDisplay("Hier wird die Anwendungsmethode der Singleton-Instanz verwendet.");
    }
}
