package fassade;

import java.awt.*;

/**
 *  Das Programm kann als Konsolenanwendung gestartet werden durch Aufruf:
 *  java Hybrid
 *  ...oder als GUI-Programm mit
 *  java Hybrid w
 *  
 *  Ein Fassade-Pattern ermöglicht unabhängig davon dem benutzer auf adäquate Weise 
 *  Nachrichten zu übermitteln (println() oder Textfeld-Objekt).
 */
public class Hybrid extends Frame
{
     private boolean mitGUI;
     private Printer printer;
     public Hybrid(boolean mitGUI)
     {
          this.mitGUI = mitGUI;
          
          if(mitGUI==true)
          {
              setSize(500,500);
              setLayout(null);
              setVisible(true);                            
          }    
         
          printer = new Printer(this,mitGUI);
          
          //Testweise Ausgabe einer Nachricht:
          printer.print("Der Printer kann nun im Hybrid-Objekt genutzt werden.");
     }
    
     public static void main(String[] args)
     {
          Hybrid h = null;
          if(args!=null && args.length>=1 && args[0].equals("w"))
          {
              h = new Hybrid(true); //mit GUI
          }    
          else
          {
              h = new Hybrid(false); //ohne GUI
          }                   
     }
}
